---
title: "Update entity filing calendar"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PATCH /v2/entities/{entityId}/filing-calendar/{entryId}`

## Path parameters

- `entityId` (`entity-filing-calendar-update.path.entityId`; string, required)
  - format `uuid`
- `entryId` (`entity-filing-calendar-update.path.entryId`; string, required)
  - format `uuid`

## Request body

- `title` (`entity-filing-calendar-update.title`; string, optional)
  - minLength 1; maxLength 160
- `filingType` (`entity-filing-calendar-update.filingType`; string, optional)
  - minLength 1; maxLength 120
- `schemaType` (`entity-filing-calendar-update.schemaType`; string, optional, nullable)
  - minLength 1; maxLength 120
- `cadence` (`entity-filing-calendar-update.cadence`; string, optional)
  - one of `"weekly"`, `"monthly"`, `"quarterly"`, `"annual"`, `"custom"`
- `periodLabel` (`entity-filing-calendar-update.periodLabel`; string, optional, nullable)
  - minLength 1; maxLength 80
- `plannedReleaseDate` (`entity-filing-calendar-update.plannedReleaseDate`; string, optional)
  - pattern `^\d{4}-\d{2}-\d{2}$`
- `status` (`entity-filing-calendar-update.status`; string, optional)
  - one of `"planned"`, `"published"`, `"delayed"`, `"cancelled"`
- `isPublic` (`entity-filing-calendar-update.isPublic`; boolean, optional)
- `notes` (`entity-filing-calendar-update.notes`; string, optional, nullable)
  - maxLength 1000
- `publishedAt` (`entity-filing-calendar-update.publishedAt`; string, optional, nullable)
  - format `date-time`
- `publishedFilingId` (`entity-filing-calendar-update.publishedFilingId`; string, optional, nullable)
  - format `uuid`

## Example request

```json
{
  "title": "string",
  "filingType": "string",
  "schemaType": "string",
  "cadence": "weekly",
  "periodLabel": "string",
  "plannedReleaseDate": "string",
  "status": "planned",
  "isPublic": true,
  "notes": "string",
  "publishedAt": "2019-08-24T14:15:22Z",
  "publishedFilingId": "fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3"
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/filing-calendar/<entryId>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "filingType": "string",
  "schemaType": "string",
  "cadence": "weekly",
  "periodLabel": "string",
  "plannedReleaseDate": "string",
  "status": "planned",
  "isPublic": true,
  "notes": "string",
  "publishedAt": "2019-08-24T14:15:22Z",
  "publishedFilingId": "fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/filing-calendar/<entryId>';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: 'string',
    filingType: 'string',
    schemaType: 'string',
    cadence: 'weekly',
    periodLabel: 'string',
    plannedReleaseDate: 'string',
    status: 'planned',
    isPublic: true,
    notes: 'string',
    publishedAt: '2019-08-24T14:15:22Z',
    publishedFilingId: 'fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/filing-calendar/<entryId>"

payload = {
    "title": "string",
    "filingType": "string",
    "schemaType": "string",
    "cadence": "weekly",
    "periodLabel": "string",
    "plannedReleaseDate": "string",
    "status": "planned",
    "isPublic": True,
    "notes": "string",
    "publishedAt": "2019-08-24T14:15:22Z",
    "publishedFilingId": "fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "title": "string",
  "filingType": "string",
  "schemaType": "string",
  "cadence": "string",
  "periodLabel": "string",
  "plannedReleaseDate": "string",
  "status": "planned",
  "isPublic": true,
  "notes": "string",
  "publishedAt": "string",
  "publishedFilingId": "fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3",
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```

- `id` (`entity-filing-calendar-update.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-filing-calendar-update.response.200.entityId`; string, required)
  - format `uuid`
- `title` (`entity-filing-calendar-update.response.200.title`; string, required)
- `filingType` (`entity-filing-calendar-update.response.200.filingType`; string, required)
- `schemaType` (`entity-filing-calendar-update.response.200.schemaType`; string, required, nullable)
- `cadence` (`entity-filing-calendar-update.response.200.cadence`; string, required)
- `periodLabel` (`entity-filing-calendar-update.response.200.periodLabel`; string, required, nullable)
- `plannedReleaseDate` (`entity-filing-calendar-update.response.200.plannedReleaseDate`; string, required)
  - pattern `^\d{4}-\d{2}-\d{2}$`
- `status` (`entity-filing-calendar-update.response.200.status`; string, required)
  - one of `"planned"`, `"published"`, `"delayed"`, `"cancelled"`
- `isPublic` (`entity-filing-calendar-update.response.200.isPublic`; boolean, required)
- `notes` (`entity-filing-calendar-update.response.200.notes`; string, required, nullable)
- `publishedAt` (`entity-filing-calendar-update.response.200.publishedAt`; string, required, nullable)
- `publishedFilingId` (`entity-filing-calendar-update.response.200.publishedFilingId`; string, required, nullable)
  - format `uuid`
- `createdBy` (`entity-filing-calendar-update.response.200.createdBy`; string, required)
- `createdAt` (`entity-filing-calendar-update.response.200.createdAt`; string, required)
- `updatedAt` (`entity-filing-calendar-update.response.200.updatedAt`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.400.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.401.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.403.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.404.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.409.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.500.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-update.response.503.error`; object, required)
  - `code` (`entity-filing-calendar-update.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-update.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-update.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-update.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-filing-calendar-update/index.md
